UPDATE CustomModOptions	SET Value = 1 WHERE Name = 'EVENTS_BATTLES';

--==========================================================================================================================	
-- ART ASSETS
--==========================================================================================================================	
------------------------------	
-- IconTextureAtlases
------------------------------
INSERT INTO IconTextureAtlases 
		(Atlas, 					IconSize, 	Filename, 				IconsPerRow, 	IconsPerColumn)
VALUES	('REGISTAN_ATLAS', 			256, 		'RegistanAtlas256.dds',	4, 				1),
		('REGISTAN_ATLAS', 			128, 		'RegistanAtlas128.dds',	4, 				1),
		('REGISTAN_ATLAS', 			45, 		'RegistanAtlas45.dds',	4, 				1),
		('REGISTAN_ATLAS', 			64, 		'RegistanAtlas64.dds',	4, 				1),
		('TIMURID_PROMOTION_ATLAS', 16, 		'Timurids_PI_016.dds',	2, 				1),
		('TIMURID_PROMOTION_ATLAS', 32, 		'Timurids_PI_032.dds',	2, 				1),
		('TIMURID_PROMOTION_ATLAS', 45, 		'Timurids_PI_045.dds',	2, 				1),
		('TIMURID_PROMOTION_ATLAS', 64, 		'Timurids_PI_064.dds',	2, 				1),
		('TIMURID_PROMOTION_ATLAS', 256, 		'Timurids_PI_256.dds',	2, 				1);

--==========================================================================================================================	
-- BUILDING CLASSES
--==========================================================================================================================	
------------------------------	
-- BuildingClasses
------------------------------
INSERT INTO BuildingClasses 	
			(Type,										DefaultBuilding,						NoLimit)
VALUES		('BUILDINGCLASS_TIMURID_MOD_DUMMY',			'BUILDING_TIMURID_MOD_DUMMY',			1),
			('BUILDINGCLASS_UNIQUE_CAPTURE_DUMMY',		'BUILDING_UNIQUE_CAPTURE_DUMMY',		0),
			('BUILDINGCLASS_UNIQUE_RAZE_DUMMY',			'BUILDING_UNIQUE_RAZE_DUMMY',			0),
			('BUILDINGCLASS_TIMURID_MADRASAH_1',		'BUILDING_TIMURID_MADRASAH_1_MOD',		0),
			('BUILDINGCLASS_TIMURID_MADRASAH_2',		'BUILDING_TIMURID_MADRASAH_2_MOD',		0),
			('BUILDINGCLASS_TIMURID_MADRASAH_3',		'BUILDING_TIMURID_MADRASAH_3_MOD',		0),
			('BUILDINGCLASS_TIMURID_MADRASAH_1_DUMMY',	'BUILDING_TIMURID_MADRASAH_1_DUMMY',	1),
			('BUILDINGCLASS_TIMURID_MADRASAH_2_DUMMY',	'BUILDING_TIMURID_MADRASAH_2_DUMMY',	1),
			('BUILDINGCLASS_TIMURID_MADRASAH_3_DUMMY',	'BUILDING_TIMURID_MADRASAH_3_DUMMY',	1);
--==========================================================================================================================	

--==========================================================================================================================	
-- BUILDINGS
--==========================================================================================================================	
------------------------------
-- Buildings
------------------------------	
INSERT INTO Buildings 	
			(Type,									CivilizationRequired, 			BuildingClass,								Description,									Help, 											Civilopedia, 													Strategy, 											ArtDefineTag, 					GreatPeopleRateChange,		SpecialistType,			CitySupplyFlat, TradeRouteLandDistanceModifier, GoldMaintenance,	Cost,	FaithCost,	GreatWorkCount, NeverCapture,	NukeImmune, ConquestProb,	HurryCostModifier,	IconAtlas,			PortraitIndex)
VALUES		('BUILDING_TIMURID_MOD_DUMMY',			null, 							'BUILDINGCLASS_TIMURID_MOD_DUMMY',			'TXT_KEY_BUILDING_TIMURID_MOD_DUMMY_DESC',		null,											'TXT_KEY_CIVLOPEDIA_TIMURID_MOD_DUMMY_TEXT', 					'TXT_KEY_BUILDING_TIMURID_MOD_DUMMY_STRATEGY',		'ART_DEF_BUILDING_UNIVERSITY', 	0, 							null, 					0, 				0,								0,					-1,		-1,			-1,				1,				1,			0,				-1,					'CIV_COLOR_ATLAS',	0),
			('BUILDING_UNIQUE_CAPTURE_DUMMY',		null, 							'BUILDINGCLASS_UNIQUE_CAPTURE_DUMMY',		'TXT_KEY_BUILDING_UNIQUE_CAPTURE_DUMMY_DESC',	null,											null, 															null,												'ART_DEF_BUILDING_UNIVERSITY', 	0, 							null, 					0, 				0,								0,					-1,		-1,			-1,				1,				1,			0,				-1,					'CIV_COLOR_ATLAS',	0),
			('BUILDING_UNIQUE_RAZE_DUMMY',			null, 							'BUILDINGCLASS_UNIQUE_RAZE_DUMMY',			'TXT_KEY_BUILDING_UNIQUE_CAPTURE_DUMMY_DESC',	null,											null, 															null,												'ART_DEF_BUILDING_UNIVERSITY', 	0, 							null, 					0, 				0,								0,					-1,		-1,			-1,				1,				1,			0,				-1,					'CIV_COLOR_ATLAS',	0),
			('BUILDING_TIMURID_MADRASAH_1_DUMMY',	null, 							'BUILDINGCLASS_TIMURID_MADRASAH_1_DUMMY',	'TXT_KEY_BUILDING_TIMURID_MADRASAH_1_DUMMY',	null,											null, 															null,												'ART_DEF_BUILDING_UNIVERSITY', 	0, 							null, 					0, 				0,								0,					-1,		-1,			-1,				1,				1,			0,				-1,					'CIV_COLOR_ATLAS',	0),
			('BUILDING_TIMURID_MADRASAH_2_DUMMY',	null, 							'BUILDINGCLASS_TIMURID_MADRASAH_2_DUMMY',	'TXT_KEY_BUILDING_TIMURID_MADRASAH_2_DUMMY',	null,											null, 															null,												'ART_DEF_BUILDING_UNIVERSITY', 	0, 							null, 					0, 				0,								0,					-1,		-1,			-1,				1,				1,			0,				-1,					'CIV_COLOR_ATLAS',	0),
			('BUILDING_TIMURID_MADRASAH_3_DUMMY',	null, 							'BUILDINGCLASS_TIMURID_MADRASAH_3_DUMMY',	'TXT_KEY_BUILDING_TIMURID_MADRASAH_3_DUMMY',	null,											null, 															null,												'ART_DEF_BUILDING_UNIVERSITY', 	0, 							null, 					0, 				0,								0,					-1,		-1,			-1,				1,				1,			0,				-1,					'CIV_COLOR_ATLAS',	0),
			('BUILDING_TIMURID_MADRASAH_1_MOD',		'CIVILIZATION_TIMURIDS_MOD', 	'BUILDINGCLASS_TIMURID_MADRASAH_1',			'TXT_KEY_BUILDING_TIMURID_MADRASAH_1_MOD',		'TXT_KEY_BUILDING_TIMURID_MADRASAH_1_MOD_HELP',	'TXT_KEY_CIVILOPEDIA_BUILDINGS_TIMURID_MADRASAH_1_MOD_TEXT', 	'TXT_KEY_BUILDING_TIMURID_MADRASAH_1_MOD_STRATEGY',	'ART_DEF_BUILDING_UNIVERSITY',	3, 							'SPECIALIST_WRITER', 	0, 				0,								0,					400,	0,			0,				1,				1,			0,				15,					'REGISTAN_ATLAS',	1),
			('BUILDING_TIMURID_MADRASAH_2_MOD',		'CIVILIZATION_TIMURIDS_MOD', 	'BUILDINGCLASS_TIMURID_MADRASAH_2',			'TXT_KEY_BUILDING_TIMURID_MADRASAH_2_MOD',		'TXT_KEY_BUILDING_TIMURID_MADRASAH_2_MOD_HELP',	'TXT_KEY_CIVILOPEDIA_BUILDINGS_TIMURID_MADRASAH_2_MOD_TEXT', 	'TXT_KEY_BUILDING_TIMURID_MADRASAH_2_MOD_STRATEGY',	'ART_DEF_BUILDING_UNIVERSITY',	3, 							'SPECIALIST_ARTIST', 	0, 				0,								0,					400,	0,			0,				1,				1,			0,				15,					'REGISTAN_ATLAS',	2),
			('BUILDING_TIMURID_MADRASAH_3_MOD',		'CIVILIZATION_TIMURIDS_MOD', 	'BUILDINGCLASS_TIMURID_MADRASAH_3',			'TXT_KEY_BUILDING_TIMURID_MADRASAH_3_MOD',		'TXT_KEY_BUILDING_TIMURID_MADRASAH_3_MOD_HELP',	'TXT_KEY_CIVILOPEDIA_BUILDINGS_TIMURID_MADRASAH_3_MOD_TEXT', 	'TXT_KEY_BUILDING_TIMURID_MADRASAH_3_MOD_STRATEGY',	'ART_DEF_BUILDING_UNIVERSITY',	3, 							'SPECIALIST_MUSICIAN', 	0, 				0,								0,					400,	0,			0,				1,				1,			0,				15,					'REGISTAN_ATLAS',	3);

INSERT INTO	Buildings
			(Type, 								Description, 								Civilopedia, 												Strategy, 											Help, 											GoldMaintenance, Cost, HurryCostModifier, MinAreaSize, ConquestProb, BuildingClass, ArtDefineTag, PrereqTech, PortraitIndex, 	CitySupplyModifier, IconAtlas, 			GreatWorkYieldType, ThemingBonusHelp, NeverCapture, NukeImmune, NumCityCostMod, GreatWorkSlotType, GreatWorkCount, NationalPopRequired, IlliteracyHappinessChange, FreePromotion)
SELECT		'BUILDING_TIMURID_MADRASAH_MOD', 	'TXT_KEY_BUILDING_TIMURID_MADRASAH_MOD', 	'TXT_KEY_CIVILOPEDIA_BUILDINGS_TIMURID_MADRASAH_MOD_TEXT', 	'TXT_KEY_BUILDING_TIMURID_MADRASAH_MOD_STRATEGY', 	'TXT_KEY_BUILDING_TIMURID_MADRASAH_MOD_HELP', 	GoldMaintenance, Cost, HurryCostModifier, MinAreaSize, ConquestProb, BuildingClass, ArtDefineTag, PrereqTech, 0, 				15, 				'REGISTAN_ATLAS', 	GreatWorkYieldType, ThemingBonusHelp, NeverCapture, NukeImmune, NumCityCostMod, GreatWorkSlotType, GreatWorkCount, NationalPopRequired, IlliteracyHappinessChange, FreePromotion
FROM		Buildings
WHERE		Type = 'BUILDING_OXFORD_UNIVERSITY';

--------------------------------	
-- Building_FreeUnits
--------------------------------	
INSERT INTO	Building_FreeUnits
			(BuildingType,  UnitType, NumUnits)
SELECT		'BUILDING_TIMURID_MADRASAH_MOD', UnitType, NumUnits
FROM		Building_FreeUnits
WHERE		BuildingType = 'BUILDING_OXFORD_UNIVERSITY';
--------------------------------	
-- FreeBuildingThisCity
--------------------------------	
UPDATE Buildings
SET FreeBuildingThisCity = 'BUILDINGCLASS_OBSERVATORY'
WHERE Type = 'BUILDING_TIMURID_MADRASAH_1_MOD';
------------------------------
-- Building_ClassesNeededInCity
------------------------------
INSERT INTO Building_ClassesNeededInCity 	
			(BuildingType, 						BuildingClassType)
VALUES		('BUILDING_TIMURID_MADRASAH_1_MOD',	'BUILDINGCLASS_OXFORD_UNIVERSITY'),
			('BUILDING_TIMURID_MADRASAH_2_MOD',	'BUILDINGCLASS_OXFORD_UNIVERSITY'),
			('BUILDING_TIMURID_MADRASAH_3_MOD',	'BUILDINGCLASS_OXFORD_UNIVERSITY'),
			('BUILDING_TIMURID_MADRASAH_MOD', 	'BUILDINGCLASS_PALACE');
------------------------------	
-- Building_YieldChanges
------------------------------		
INSERT INTO Building_YieldChanges 	
			(BuildingType, 							YieldType,			Yield)
VALUES		('BUILDING_TIMURID_MADRASAH_1_MOD',		'YIELD_SCIENCE',	3),
			('BUILDING_TIMURID_MADRASAH_1_MOD',		'YIELD_FAITH',		1),
			('BUILDING_TIMURID_MADRASAH_2_MOD',		'YIELD_PRODUCTION',	3),
			('BUILDING_TIMURID_MADRASAH_2_MOD',		'YIELD_FAITH',		1),
			('BUILDING_TIMURID_MADRASAH_3_MOD',		'YIELD_CULTURE',	3),
			('BUILDING_TIMURID_MADRASAH_3_MOD',		'YIELD_FAITH',		1),
			('BUILDING_TIMURID_MADRASAH_MOD',		'YIELD_SCIENCE',	3),
			('BUILDING_TIMURID_MADRASAH_MOD',		'YIELD_CULTURE',	3),
			('BUILDING_TIMURID_MADRASAH_MOD',		'YIELD_PRODUCTION',	3);
--------------------------------
-- Building_ClassYieldChanges
--------------------------------
INSERT INTO	Building_BuildingClassYieldChanges
			(BuildingType,  BuildingClassType, YieldType, YieldChange)
VALUES		('BUILDING_TIMURID_MADRASAH_1_MOD', 	'BUILDINGCLASS_UNIVERSITY', 		'YIELD_SCIENCE', 			2),
			('BUILDING_TIMURID_MADRASAH_2_MOD', 	'BUILDINGCLASS_MARKET', 			'YIELD_PRODUCTION', 		2),
			('BUILDING_TIMURID_MADRASAH_3_MOD', 	'BUILDINGCLASS_CARAVANSARY', 		'YIELD_CULTURE', 			2),
			('BUILDING_TIMURID_MADRASAH_1_DUMMY', 	'BUILDINGCLASS_TIMURID_MADRASAH_1',	'YIELD_SCIENCE',			3),
			('BUILDING_TIMURID_MADRASAH_2_DUMMY', 	'BUILDINGCLASS_TIMURID_MADRASAH_2',	'YIELD_TOURISM',			3),
			('BUILDING_TIMURID_MADRASAH_3_DUMMY', 	'BUILDINGCLASS_TIMURID_MADRASAH_3',	'YIELD_CULTURE',			3),
			('BUILDING_TIMURID_MOD_DUMMY',			'BUILDINGCLASS_PALACE',				'YIELD_SCIENCE',			1),
			('BUILDING_TIMURID_MOD_DUMMY',			'BUILDINGCLASS_PALACE',				'YIELD_GOLD',				1),
			('BUILDING_TIMURID_MOD_DUMMY',			'BUILDINGCLASS_PALACE',				'YIELD_FAITH',				1),
			('BUILDING_TIMURID_MOD_DUMMY',			'BUILDINGCLASS_PALACE',				'YIELD_PRODUCTION',			1),
			('BUILDING_TIMURID_MOD_DUMMY',			'BUILDINGCLASS_PALACE',				'YIELD_CULTURE',			1),
			('BUILDING_TIMURID_MOD_DUMMY',			'BUILDINGCLASS_PALACE',				'YIELD_FOOD',				1),
			('BUILDING_TIMURID_MOD_DUMMY',			'BUILDINGCLASS_PALACE',				'YIELD_TOURISM',			1),
			('BUILDING_TIMURID_MOD_DUMMY',			'BUILDINGCLASS_PALACE',				'YIELD_GOLDEN_AGE_POINTS',	1);
--------------------------------
-- Building_Flavors
--------------------------------
INSERT INTO	Building_Flavors
			(BuildingType,  FlavorType, Flavor)
VALUES		('BUILDING_TIMURID_MADRASAH_MOD', 	'FLAVOR_SCIENCE', 			60),
			('BUILDING_TIMURID_MADRASAH_MOD', 	'FLAVOR_WONDER', 			30),
			('BUILDING_TIMURID_MADRASAH_MOD', 	'FLAVOR_CULTURE', 			40),
			('BUILDING_TIMURID_MADRASAH_MOD', 	'FLAVOR_PRODUCTION', 		10),
			('BUILDING_TIMURID_MADRASAH_1_MOD', 'FLAVOR_I_TRADE_ORIGIN', 	30),
			('BUILDING_TIMURID_MADRASAH_1_MOD', 'FLAVOR_SCIENCE', 			30),
			('BUILDING_TIMURID_MADRASAH_1_MOD', 'FLAVOR_WONDER', 			20),
			('BUILDING_TIMURID_MADRASAH_1_MOD', 'FLAVOR_RELIGION', 			10),
			('BUILDING_TIMURID_MADRASAH_2_MOD', 'FLAVOR_I_TRADE_ORIGIN', 	30),
			('BUILDING_TIMURID_MADRASAH_2_MOD', 'FLAVOR_PRODUCTION', 		30),
			('BUILDING_TIMURID_MADRASAH_2_MOD', 'FLAVOR_WONDER', 			20),
			('BUILDING_TIMURID_MADRASAH_2_MOD', 'FLAVOR_RELIGION', 			10),
			('BUILDING_TIMURID_MADRASAH_2_MOD', 'FLAVOR_RELIGION', 			10),
			('BUILDING_TIMURID_MADRASAH_3_MOD', 'FLAVOR_I_TRADE_ORIGIN', 	30),
			('BUILDING_TIMURID_MADRASAH_3_MOD', 'FLAVOR_WONDER', 			20),
			('BUILDING_TIMURID_MADRASAH_3_MOD', 'FLAVOR_CULTURE', 			30),
			('BUILDING_TIMURID_MADRASAH_3_MOD', 'FLAVOR_RELIGION', 			10);
--------------------------------
-- Building_YieldFromTech
--------------------------------
INSERT INTO Building_YieldFromTech
			(BuildingType, YieldType, Yield)
SELECT		'BUILDING_TIMURID_MADRASAH_MOD', YieldType, Yield+25
FROM		Building_YieldFromTech
WHERE		BuildingType = 'BUILDING_OXFORD_UNIVERSITY';
------------------------------	
-- Building_UnhappinessNeedsFlatReduction
------------------------------
INSERT INTO Building_UnhappinessNeedsFlatReduction 	
			(BuildingType,						YieldType, Yield)
SELECT		'BUILDING_TIMURID_MADRASAH_MOD', 	YieldType, Yield
FROM Building_UnhappinessNeedsFlatReduction WHERE (BuildingType = 'BUILDING_OXFORD_UNIVERSITY');
------------------------------	
-- Building_ThemingYieldBonus
------------------------------
INSERT INTO Building_ThemingYieldBonus 	
			(BuildingType,						YieldType, Yield)
SELECT		'BUILDING_TIMURID_MADRASAH_MOD', 	YieldType, Yield
FROM Building_ThemingYieldBonus WHERE (BuildingType = 'BUILDING_OXFORD_UNIVERSITY');
------------------------------	
-- Building_ThemingBonuses
------------------------------	
INSERT INTO Building_ThemingBonuses	
			(BuildingType,						Description,							Bonus, UniqueEras, RequiresAnyButOwner, AIPriority)
SELECT		'BUILDING_TIMURID_MADRASAH_MOD',	'TXT_KEY_THEMING_BONUS_MADRASAH_MOD',	Bonus, UniqueEras, RequiresAnyButOwner, AIPriority
FROM Building_ThemingBonuses WHERE (BuildingType = 'BUILDING_OXFORD_UNIVERSITY');
--------------------------------
-- Civilization_BuildingClassOverrides
--------------------------------
INSERT INTO	Civilization_BuildingClassOverrides
			(CivilizationType,				BuildingClassType,					BuildingType)
VALUES		('CIVILIZATION_TIMURIDS_MOD',	'BUILDINGCLASS_OXFORD_UNIVERSITY', 	'BUILDING_TIMURID_MADRASAH_MOD');

UPDATE Buildings SET NukeImmune = '1' WHERE Type = 'BUILDING_COURT_SCRIBE';
UPDATE Buildings SET NukeImmune = '1' WHERE Type = 'BUILDING_PRINTING_PRESS';
UPDATE Buildings SET NukeImmune = '1' WHERE Type = 'BUILDING_FOREIGN_OFFICE';
UPDATE Buildings SET NukeImmune = '1' WHERE Type = 'BUILDING_PALACE_SCIENCE_CULTURE';
UPDATE Buildings SET NukeImmune = '1' WHERE Type = 'BUILDING_FINANCE_CENTER';
UPDATE Buildings SET NukeImmune = '1' WHERE Type = 'BUILDING_EHRENHALLE';